
get
/v4/ledger/balances/{address}
Real-time offchain (ledger) reward balances for a recipientPath parameters
addressstringrequired
Recipient address
Query parameters
chainIdstring (integer) | integerRestrict to a single chain
Responses
200Response for status 200
Schema
object[]
rewardTokenobject | nullThe API's token record, or null for the native token and an unknown address
idstringUnique identifier for the tokennamestring | nullFull name of the tokenchainIdintegerChain IdaddressstringdecimalsnumberNumber of decimals for the tokensymbolstringSymbol of the tokeniconstringURL to the token icon imageverifiedbooleanWhether the token is verifiedisNativebooleanWhether this is a native blockchain tokenisTestbooleanWhether this is a test tokentypeenumType of the token (TOKEN, PRETGE, POINT)TOKENPRETGEPOINTpricenumber | nullCurrent price of the token in USDupdatedAtnumber | nullUnix timestamp of last price updatepriceSourcestring | nullSource of the price informationdisplaySymbolstringCustom display symbol overrideunderlyingTokenIdstringIf this token is a wrapper, the ID of the underlying tokenpriceAlertDismissedAtnumberpriceAlertCountnumberchainIdnumbertokenstringReward token address; "" = nativeaccruedstringEverything ever creditedclaimedstringBase units, base-10availablestringMatured and claimable nowpendingstringCredited but still inside the accrual delaynextMaturesAtnumberEarliest upcoming maturity; 0 when nothing is pendingbreakdownobject[]
campaignIdstringreasonstringaccruedstringBase units, base-10pendingstringBase units, base-10Example
[
{
"rewardToken": {
"id": "string",
"name": "string",
"chainId": 0,
"address": "string",
"decimals": 0,
"symbol": "string",
"icon": "string",
"verified": false,
"isNative": false,
"isTest": false,
"type": "TOKEN",
"price": 0,
"updatedAt": 0,
"priceSource": "string",
"displaySymbol": "string",
"underlyingTokenId": "string",
"priceAlertDismissedAt": 0,
"priceAlertCount": 0
},
"chainId": 0,
"token": "string",
"accrued": "string",
"claimed": "string",
"available": "string",
"pending": "string",
"nextMaturesAt": 0,
"breakdown": [
{
"campaignId": "string",
"reason": "string",
"accrued": "string",
"pending": "string"
}
]
}
]get
https://api.merkl.xyz/v4/ledger/balances/curl -X GET "https://api.merkl.xyz/v4/ledger/balances/0xd93814273b33DD33B32cD345225CfB65DEB048Dd"